/**** DTyp.rexx ***************************************************************
*
*	$VER: DTyp 1.2 (6.4.95)  Copyright  1994,95 Magnetic Ink
*
*******************************************************************************
*
*	PURPOSE: 		Show file type using datatypes.library
*
*	USAGE: 			DTyp <filePattern>
*
*	REQUIREMENTS:	datatypes.library
*						rexxarplib.library
*						QuickSort
*						ASyncRun
*						rexxtricks.library (optional)
*
*	AUTHOR: 			Klaus Alexander Seistrup <kas@mink.ping.dk>
*
*******************************************************************************/

PARSE ARG filePat .
OPTIONS RESULTS

dtypeLib = "datatypes.library"
rxarpLib = "rexxarplib.library"

IF ~SHOW('L',dtypeLib) THEN CALL ADDLIB(dtypeLib,0,-30)
IF ~SHOW('L',rxarpLib) THEN CALL ADDLIB(rxarpLib,0,-30)

/**** Uncomment this if you want to use rexxtricks.library ********************
*
*IF ~SHOW('L',trickLib) THEN CALL ADDLIB(trickLib,0,-30)
*
*******************************************************************************/

IF ~SHOW('P','QuickSortPort') THEN DO
	'ASyncRun SYS:RexxC/QuickSort WaitForPort=QuickSortPort'
	IF ~SHOW('L','QuickSortPort') THEN DO
		CALL ADDLIB('QuickSortPort',-30)
	END
END

IF filePat ~= "" & filePat ~= "?" THEN DO
	filCnt = FILELIST(filePat,filList,"F","E")
	IF filCnt >= 1 THEN DO
		CALL QSORT(1,filList.0,filList)
		DO i = 1 TO filList.0
			filNam = filList.i
			CALL EXAMINEDT(filNam,dtStem.,STEM)

/**** Uncomment this if you want to use rexxtricks.library ********************
*
*			IF UPPER(dtStem.DataType) == 'BINARY' THEN DO
*				isWhat = WHATIS(filNam)
*				IF UPPER(isWhat) ~= 'UNKNOWN' THEN DO 
*					dtStem.DataType = isWhat
*				END
*			END
*
*******************************************************************************/

			SAY
			SAY "      Disk Key:" dtStem.DiskKey
			SAY "Dir Entry Type:" dtStem.DirEntryType
			SAY "     File Name:" dtStem.FileName
			SAY "    Protection:" dtStem.Protection
			SAY "    Entry Type:" dtStem.EntryType
			SAY "          Size:" dtStem.Size
			SAY "        Blocks:" dtStem.NumBlocks
			SAY "          Date:" dtStem.Date
			SAY "       Comment:" dtStem.Comment
			SAY "          Type:" dtStem.BaseType
			SAY "     File Type:" dtStem.DataType
			SAY "     Base Name:" dtStem.BaseName
			SAY
		END
	END
	EXIT 0
END
SAY '9B'x || "33mUsage:" || '9B'x || "0m " || '9B'x || "1mDTyp" || '9B'x || "0m <filePattern>"
EXIT 5

/*
**	EOF
*/
